{
    "name" : "美融融商家",
    "appid" : "__UNI__BBE6285",
    "description" : "同城便捷到家美业“技术外卖”服务、同城预约到店服务平台美融融为同城爱美人群提供更优质的更全面的服务。",
    "versionName" : "1.0.09",
    "versionCode" : 1009,
    "transformPx" : false,
    /* 5+App特有相关 */
    "app-plus" : {
        "usingComponents" : true,
        "nvueStyleCompiler" : "uni-app",
        "compilerVersion" : 3,
        "screenOrientation" : [
            //可选，字符串数组类型，应用支持的横竖屏
            "portrait-primary", //可选，字符串类型，支持竖屏
            "portrait-secondary", //可选，字符串类型，支持反向竖屏
            "landscape-primary", //可选，字符串类型，支持横屏
            "landscape-secondary" //可选，字符串类型，支持反向横屏
        ],
        "compatible" : {
            "ignoreVersion" : true //true表示忽略版本检查提示框，HBuilderX1.9.0及以上版本支持  
        },
        "video" : {
            "hardwareAcceleration" : "auto",
            "decode" : {
                "h264" : "hardware",
                "hevc" : "software"
            }
        },
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        /* 模块配置 */
        "modules" : {
            "Maps" : {},
            "Geolocation" : {},
            "Share" : {},
            "Payment" : {},
            "VideoPlayer" : {},
            "OAuth" : {},
            "Camera" : {}
        },
        /* 应用发布信息 */
        "distribute" : {
            /* android打包配置 */
            "android" : {
                "permissions" : [
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.REQUEST_INSTALL_PACKAGES\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_EXTERNAL_STORAGE\"/>"
                ],
                "minSdkVersion" : 21,
                "targetSdkVersion" : 30
            },
            /* ios打包配置 */
            "ios" : {
                "UIRequiresFullScreen" : false, // 允许非全屏模式
                "urlschemewhitelist" : [ "iosmap" ],
                "dSYMs" : false,
                "plistcmds" : [
                    "Set :NSMicrophoneUsageDescription 获取语音权限以进行语音输入",
                    "Set :NSPhotoLibraryUsageDescription 从相册选择图片作为用户头像",
                    "Set :NSCameraUsageDescription 用户使用相机拍摄图片作为自定义头像",
                    "Set :NSPhotoLibraryAddUsageDescription 保存图片到相册"
                ],
                "privacyDescription" : {
                    "NSLocationWhenInUseUsageDescription" : "美融融商家请求您的地理位置，以便您使用该功能获取您附近的手艺人以及店铺下的服务内容以及添加地址，是否允许?",
                    "NSLocationAlwaysAndWhenInUseUsageDescription" : "美融融商家请求您的地理位置，以便您使用该功能获取您附近的手艺人以及店铺下的服务内容以及添加地址，是否允许?",
                    "NSPhotoLibraryUsageDescription" : "美融融商家请求您的相册权限，使用相册照片功能，用于上传头像或者评价上传图片与发布动态，是否允许?",
                    "NSPhotoLibraryAddUsageDescription" : "美融融商家请求您的相册权限，使用相册照片功能，用于上传头像或者评价上传图片与发布动态，是否允许?",
                    "NSCameraUsageDescription" : "美融融商家请求您的摄像头权限，使用拍照功能，用于上传头像或者上传入驻资质，是否允许?",
                    "NSMicrophoneUsageDescription" : "美融融商家请求您的麦克风权限，使用录像功能，用于上传个人短视频更新个人资料，是否允许?",
                    "NSLocationAlwaysUsageDescription" : "美融融商家请求您的地理位置，以便您使用该功能获取您附近的手艺人以及店铺下的服务内容以及添加地址，是否允许?",
                    "NSCalendarsUsageDescription" : "该应用需要获取你的日历，以便为您提供学习记录，更好的体验",
                    "NSRemindersUsageDescription" : "该应用需要获取你的提醒事项，以便为您提供学习记录，更好的体验",
                    "NSContactsUsageDescription" : "美融融商家需要获取您的通讯录，以便您联系商家或手艺人，是否允许?"
                },
                "capabilities" : {
                    "entitlements" : {
                        "com.apple.developer.associated-domains" : "applinks:app.mrrweb.com.cn"
                    }
                }
            },
            /* SDK配置 */
            "sdkConfigs" : {
                "maps" : {
                    "amap" : {
                        "name" : "amapgDZVQ1L0",
                        "appkey_ios" : "3c7285f894266dc8b9ee30297c2d708e",
                        "appkey_android" : "3150b3d08eb0875c5c660f7ff3c08ebd"
                    }
                },
                "payment" : {
                    "weixin" : {
                        "__platform__" : [ "ios", "android" ],
                        "appid" : "wx17eef65c270b4869",
                        "UniversalLinks" : "https://api.mrrwlkj.top/"
                    },
                    "appleiap" : {},
                    "alipay" : {
                        "__platform__" : [ "ios", "android" ]
                    }
                },
                "share" : {
                    "weixin" : {
                        "appid" : "wx17eef65c270b4869",
                        "UniversalLinks" : "https://api.mrrwlkj.top/"
                    }
                },
                "geolocation" : {
                    "amap" : {
                        "name" : "amapgDZVQ1L0",
                        "__platform__" : [ "ios", "android" ],
                        "appkey_ios" : "3c7285f894266dc8b9ee30297c2d708e",
                        "appkey_android" : "3150b3d08eb0875c5c660f7ff3c08ebd"
                    },
                    "system" : {
                        "__platform__" : [ "ios", "android" ]
                    }
                },
                "oauth" : {
                    "weixin" : {
                        "appid" : "wx17eef65c270b4869",
                        "UniversalLinks" : "https://api.mrrwlkj.top/"
                    }
                }
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen" : {
                "useOriginalMsgbox" : true,
                "androidStyle" : "common"
            }
        },
        "nativePlugins" : {
            "AliCloud-NirvanaPns" : {
                "__plugin_info__" : {
                    "name" : "阿里云号码认证SDK",
                    "description" : "阿里云号码认证SDK，包含一键登录和本机号码校验两个功能。",
                    "platforms" : "Android,iOS",
                    "url" : "https://ext.dcloud.net.cn/plugin?id=4297",
                    "android_package_name" : "cn.mrrsj",
                    "ios_bundle_id" : "cn.mrrsj",
                    "isCloud" : true,
                    "bought" : 1,
                    "pid" : "4297",
                    "parameters" : {}
                }
            }
        }
    },
    /* 快应用特有相关 */
    "quickapp" : {},
    /* 小程序特有相关 */
    "mp-weixin" : {
        "appid" : "wx17eef65c270b4869",
        "privacy" : {
            "requiredPrivateInfos" : [ "getBackgroundFetchData" ]
        },
        "setting" : {
            "urlCheck" : false,
            "minified" : true
        },
        "usingComponents" : true,
        "optimization" : {
            "subPackages" : true
        },
        "permission" : {
            "scope.userLocation" : {
                "desc" : "美融融商家需获取位置，展示附近手艺人、店铺及添加地址"
            }
        },
        "requiredPrivateInfos" : [
            "getLocation" // 声明 getLocation 接口
        ]
    },
    "mp-alipay" : {
        "usingComponents" : true
    },
    "mp-baidu" : {
        "usingComponents" : true
    },
    "mp-toutiao" : {
        "usingComponents" : true
    },
    "uniStatistics" : {
        "enable" : false
    },
    "vueVersion" : "2",
    "_spaceID" : "mp-908e3a8e-a3ae-4a70-aaa7-545c9d98f662",
    "h5" : {
        "devServer" : {
            "port" : ""
        },
        "sdkConfigs" : {
            "maps" : {}
        }
    }
} /* SDK配置 */

/* ios打包配置 */

